# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:		guimup
Version:	0.3.1
Release:	alt1_3
Summary:	A GTKmm based drag-&-drop oriented client for MPD
Group:		Sound
License:	GPLv3+
URL:		http://www.coonsden.com/
Source0:	http://downloads.sourceforge.net/musicpd/%{name}_%{version}_src.tar.gz
Source1:	guimup.desktop
# Taken from the 0.2.1 source
Source2:	guimup48.png
Patch0:		guimup-0.3.1-fix.patch
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libgtkmm2-devel >= 2.16
BuildRequires:	libsoup-devel >= 2.36
BuildRequires:	libmpdclient-devel >= 2.3
BuildRequires:	libgtkmm3-devel >= 3.2
BuildRequires:	libunique3-devel >= 3.0.2
BuildRequires:	libtool
BuildRequires:	desktop-file-utils
Source44: import.info

%description
GUIMUP is a client for the music player daemon (MPD) written
in C++ and GTKmm. The program can be used with most Linux 
desktops but, as a GTK program, is best suited for GNOME and 
XFCE.

The focus of the program is on mouse handling: 
playlist management is done entirely by drag-&-drop; 
playback functions are directly accessible from the system tray. 
Guimup turns MPD into a perfect desktop music player.

%prep
%setup -q -n %{name}_%{version}_src
%patch0 -p1 -b .fix

%build
pushd %{name}
autoreconf -ifv
%configure
export echo=echo # libtool fails otherwise
make %{?_smp_mflags}
popd

%install
pushd %{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps

make install DESTDIR=%{buildroot} \
	INSTALL="install -p" echo=echo
	
rm -rf %{buildroot}%{_usr}/doc

desktop-file-install \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{SOURCE1}
install -p -m0644 %{SOURCE2} \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png
cp AUTHORS ChangeLog COPYING README ..
popd

%files 
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_2
- initial fc import

